@icon("res://resources/icons/fsm.png")
extends Node
class_name State

signal state_transition

func enter(_msg : Dictionary = {}) -> void:
	pass
	
func exit() -> void :
	pass
	
func update(_delta : float) -> void:
	pass
	
